谷歌浏览器对于XMLHttpRequest不能用吗?

已举报 回答 关注
谷歌浏览器对于XMLHttpRequest不能用吗?
问在线客服
扫码问在线客服
  • 回答数

    7

  • 浏览数

    4,264

7个回答 默认排序
  • 默认排序
  • 按时间排序

已采纳
估计是你的 XMLHttpRequest() 这个方法有问题。Chrome与IE浏览器创建XMLHttpRequest是不一样的。
if(window.XMLHttpRequest) { // 针对非IE的标准浏览器 xmlhttp = new XMLHttpRequest(); } else if(window.ActiveXObject) { // 针对IE try { xmlhttp = new ActiveXObject("MSXML2.XMLHTTP"); } catch(e) { xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); } }
取消 评论
首先你电脑Windows操作系统是什么版本?如果是win8或更高的版本就无法安装IE浏览器,因为win8及以上版本系统最低支持IE10,但如果IE浏览器更新过,就无法安装低版本IE浏览器,IE8浏览器除了XP系统Vista系统及win7系统其它版本系统都无法安装,且一旦升级了IE8浏览器就无法重新再装回IE8,IE浏览器最新版的比IE8版本好用多了,没必要纠结在IE8版本
取消 评论
opera也有账户啊可以同步收藏的。。。IE内核在Linux下不能实现的即使是FF安装插件也不行的。。。总之除了wine,用IE4Linux 把IE移植到Linux没有其他的办法了。要用wine用IE4Linux你就需要有linux的使用经验,了解基本概念什么的,所以你先从基础学起吧。
取消 评论
不用重装系统只要把你的IE浏览器卸载了重装一个就可以了
取消 评论
你用ie干嘛? 微软做的ie感觉子6.0以后越来越差了,可能是ie版本过低,不支持ajax技术,你用其他的浏览器打开就可以了
取消 评论
用浏览器看视频不关浏览器的事啊,用视频播放器看,现在几乎都支持的。
取消 评论
卸载了,然后把关于谷歌浏览器的所有文件都删除了,最后重新安装一下,就OK啦
重新安装一下也许会解决!祝你好运~!!
取消 评论
ZOL问答 > 谷歌浏览器对于XMLHttpRequest不能用吗?

举报

感谢您为社区的和谐贡献力量请选择举报类型

举报成功

经过核实后将会做出处理
感谢您为社区和谐做出贡献

提示

确定要取消此次报名,退出该活动?